﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml.Xsl;
using System.Xml;
using System.Diagnostics;

namespace XsltProject
{
    public partial class Form1 : Form
    {
        private string XML_PATH;
        private string XSL_PATH;
        private string OUT_PATH;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            openFileDialog2.ShowDialog();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            OpenFileDialog ofd = (OpenFileDialog)sender;
            XML_PATH = ofd.FileName;
            this.textBox1.Text = XML_PATH;
        }

        private void openFileDialog2_FileOk(object sender, CancelEventArgs e)
        {
            OpenFileDialog ofd = (OpenFileDialog)sender;
            XSL_PATH = ofd.FileName;
            this.textBox2.Text = XSL_PATH;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            OUT_PATH = "C:/TEMP/result.html";

            XslCompiledTransform transformer = new XslCompiledTransform();
            transformer.Load(XSL_PATH);

            XmlReader xReader = XmlReader.Create(XML_PATH);
            XmlWriter xWriter = XmlWriter.Create(OUT_PATH);

            transformer.Transform(xReader, xWriter);

            // 메모리 해제
            xReader.Close();
            xWriter.Close();
            transformer = null;

            // 띄워
            Process pc = Process.Start("IExplore.exe", OUT_PATH);

            // 닫힐때 까지 기다렸다 소멸시켜
            pc.WaitForExit();
        }
    }
}
